@maxim_mazurok/gapi.client.compute-alpha 0.0.20231011 → 0.0.20231024

This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
package/index.d.ts CHANGED
@@ -9,7 +9,7 @@
9
9
  // This file was generated by https://github.com/Maxim-Mazurok/google-api-typings-generator. Please do not edit it manually.
10
10
  // In case of any problems please post issue to https://github.com/Maxim-Mazurok/google-api-typings-generator
11
11
  // Generated from: https://www.googleapis.com/discovery/v1/apis/compute/alpha/rest
12
- // Revision: 20231011
12
+ // Revision: 20231024
13
13
 
14
14
  /// <reference types="gapi.client" />
15
15
 
@@ -1612,13 +1612,14 @@ declare namespace gapi.client {
1612
1612
  id?:
1613
1613
  string;
1614
1614
  /**
1615
- * Specifies preference of traffic to the backend (from the proxy and from the client for proxyless gRPC). The possible values are: - IPV4_ONLY: Only send IPv4 traffic to the backends
1616
- * of the Backend Service (Instance Group, Managed Instance Group, Network Endpoint Group) regardless of traffic from the client to the proxy. Only IPv4 health-checks are used to check
1617
- * the health of the backends. This is the default setting. - PREFER_IPV6: Prioritize the connection to the endpoints IPv6 address over its IPv4 address (provided there is a healthy
1618
- * IPv6 address). - IPV6_ONLY: Only send IPv6 traffic to the backends of the Backend Service (Instance Group, Managed Instance Group, Network Endpoint Group) regardless of traffic from
1619
- * the client to the proxy. Only IPv6 health-checks are used to check the health of the backends. This field is applicable to either: - Advanced Global External HTTPS Load Balancing
1620
- * (load balancing scheme EXTERNAL_MANAGED), - Regional External HTTPS Load Balancing, - Internal TCP Proxy (load balancing scheme INTERNAL_MANAGED), - Regional Internal HTTPS Load
1621
- * Balancing (load balancing scheme INTERNAL_MANAGED), - Traffic Director with Envoy proxies and proxyless gRPC (load balancing scheme INTERNAL_SELF_MANAGED).
1615
+ * Specifies a preference for traffic sent from the proxy to the backend (or from the client to the backend for proxyless gRPC). The possible values are: - IPV4_ONLY: Only send IPv4
1616
+ * traffic to the backends of the backend service (Instance Group, Managed Instance Group, Network Endpoint Group), regardless of traffic from the client to the proxy. Only IPv4 health
1617
+ * checks are used to check the health of the backends. This is the default setting. - PREFER_IPV6: Prioritize the connection to the endpoint's IPv6 address over its IPv4 address
1618
+ * (provided there is a healthy IPv6 address). - IPV6_ONLY: Only send IPv6 traffic to the backends of the backend service (Instance Group, Managed Instance Group, Network Endpoint
1619
+ * Group), regardless of traffic from the client to the proxy. Only IPv6 health checks are used to check the health of the backends. This field is applicable to either: - Advanced
1620
+ * Global External HTTPS Load Balancing (load balancing scheme EXTERNAL_MANAGED), - Regional External HTTPS Load Balancing, - Internal TCP Proxy (load balancing scheme
1621
+ * INTERNAL_MANAGED), - Regional Internal HTTPS Load Balancing (load balancing scheme INTERNAL_MANAGED), - Traffic Director with Envoy proxies and proxyless gRPC (load balancing scheme
1622
+ * INTERNAL_SELF_MANAGED).
1622
1623
  */
1623
1624
  ipAddressSelectionPolicy?:
1624
1625
  string;
@@ -2582,6 +2583,12 @@ declare namespace gapi.client {
2582
2583
  /** [Output Only] Commitment end time in RFC3339 text format. */
2583
2584
  endTimestamp?:
2584
2585
  string;
2586
+ /**
2587
+ * Specifies the already existing reservations to attach to the Commitment. This field is optional, and it can be a full or partial URL. For example, the following are valid URLs to an
2588
+ * reservation: - https://www.googleapis.com/compute/v1/projects/project/zones/zone /reservations/reservation - projects/project/zones/zone/reservations/reservation
2589
+ */
2590
+ existingReservations?:
2591
+ string[];
2585
2592
  /** [Output Only] The unique identifier for the resource. This identifier is defined by the server. */
2586
2593
  id?:
2587
2594
  string;
@@ -15596,6 +15603,9 @@ declare namespace gapi.client {
15596
15603
  string;
15597
15604
  }
15598
15605
  interface ResourceStatus {
15606
+ /** [Output Only] Contains last termination details why the instance was terminated. */
15607
+ lastInstanceTerminationDetails?:
15608
+ ResourceStatusLastInstanceTerminationDetails;
15599
15609
  /** [Output Only] An opaque ID of the host on which the VM is running. */
15600
15610
  physicalHost?:
15601
15611
  string;
@@ -15605,6 +15615,11 @@ declare namespace gapi.client {
15605
15615
  serviceIntegrationStatuses?:
15606
15616
  { [P in string]: ResourceStatusServiceIntegrationStatus };
15607
15617
  }
15618
+ interface ResourceStatusLastInstanceTerminationDetails {
15619
+ /** Reason for termination */
15620
+ terminationReason?:
15621
+ string;
15622
+ }
15608
15623
  interface ResourceStatusScheduling {
15609
15624
  /**
15610
15625
  * Specifies the availability domain (AD), which this instance should be scheduled on. The AD belongs to the spread GroupPlacementPolicy resource policy that has been assigned to the
@@ -15707,6 +15722,9 @@ declare namespace gapi.client {
15707
15722
  */
15708
15723
  nextHopInterconnectAttachment?:
15709
15724
  string;
15725
+ /** [Output only] Internal fixed region-to-region cost that Google Cloud calculates based on factors such as network performance, distance, and available bandwidth between regions. */
15726
+ nextHopInterRegionCost?:
15727
+ number;
15710
15728
  /**
15711
15729
  * The network IP address of an instance that should handle matching packets. Both IPv6 address and IPv4 addresses are supported. Must specify an IPv4 address in dot-decimal notation
15712
15730
  * (e.g. 192.0.2.99) or an IPv6 address in RFC 4291 format (e.g. 2001:db8::2d9:51:0:0 or 2001:db8:0:0:2d9:51:0:0). IPv6 addresses will be displayed using RFC 5952 compressed format
@@ -15714,9 +15732,15 @@ declare namespace gapi.client {
15714
15732
  */
15715
15733
  nextHopIp?:
15716
15734
  string;
15735
+ /** [Output Only] Multi-Exit Discriminator, a BGP route metric that indicates the desirability of a particular route in a network. */
15736
+ nextHopMed?:
15737
+ number;
15717
15738
  /** The URL of the local network if it should handle matching packets. */
15718
15739
  nextHopNetwork?:
15719
15740
  string;
15741
+ /** [Output Only] Indicates the origin of the route. Can be IGP (Interior Gateway Protocol), EGP (Exterior Gateway Protocol), or INCOMPLETE. */
15742
+ nextHopOrigin?:
15743
+ string;
15720
15744
  /** [Output Only] The network peering name that should handle matching packets, which should conform to RFC1035. */
15721
15745
  nextHopPeering?:
15722
15746
  string;
@@ -41594,6 +41618,68 @@ declare namespace gapi.client {
41594
41618
  zone:
41595
41619
  string;
41596
41620
  }): Request<Operation>;
41621
+ /**
41622
+ * Deletes one network interface from an active instance. InstancesDeleteNetworkInterfaceRequest indicates: - instance from which to delete, using project+zone+resource_id fields; -
41623
+ * network interface to be deleted, using network_interface_name field; Only VLAN interface deletion is supported for now.
41624
+ */
41625
+ deleteNetworkInterface(request?: {
41626
+ /** V1 error format. */
41627
+ "$.xgafv"?:
41628
+ string;
41629
+ /** OAuth access token. */
41630
+ access_token?:
41631
+ string;
41632
+ /** Data format for response. */
41633
+ alt?:
41634
+ string;
41635
+ /** JSONP */
41636
+ callback?:
41637
+ string;
41638
+ /** Selector specifying which fields to include in a partial response. */
41639
+ fields?:
41640
+ string;
41641
+ /** The instance name for this request stored as resource_id. Name should conform to RFC1035 or be an unsigned long integer. */
41642
+ instance:
41643
+ string;
41644
+ /** API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. */
41645
+ key?:
41646
+ string;
41647
+ /** The name of the network interface to be deleted from the instance. Only VLAN network interface deletion is supported. */
41648
+ networkInterfaceName:
41649
+ string;
41650
+ /** OAuth 2.0 token for the current user. */
41651
+ oauth_token?:
41652
+ string;
41653
+ /** Returns response with indentations and line breaks. */
41654
+ prettyPrint?:
41655
+ boolean;
41656
+ /** Project ID for this request. */
41657
+ project:
41658
+ string;
41659
+ /** Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. */
41660
+ quotaUser?:
41661
+ string;
41662
+ /**
41663
+ * An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already
41664
+ * been completed. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server
41665
+ * can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate
41666
+ * commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported ( 00000000-0000-0000-0000-000000000000).
41667
+ */
41668
+ requestId?:
41669
+ string;
41670
+ /** Upload protocol for media (e.g. "raw", "multipart"). */
41671
+ upload_protocol?:
41672
+ string;
41673
+ /** Legacy upload protocol for media (e.g. "media", "multipart"). */
41674
+ uploadType?:
41675
+ string;
41676
+ /** Legacy name for parameter that has been superseded by `quotaUser`. */
41677
+ userIp?:
41678
+ string;
41679
+ /** The name of the zone for this request. */
41680
+ zone:
41681
+ string;
41682
+ }): Request<Operation>;
41597
41683
  /** Detaches a disk from an instance. */
41598
41684
  detachDisk(request?: {
41599
41685
  /** V1 error format. */
package/package.json CHANGED
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@maxim_mazurok/gapi.client.compute-alpha",
3
- "version": "0.0.20231011",
3
+ "version": "0.0.20231024",
4
4
  "description": "TypeScript typings for Compute Engine API alpha",
5
5
  "license": "MIT",
6
6
  "author": {
package/readme.md CHANGED
@@ -1266,6 +1266,11 @@ Deletes an access config from an instance's network interface.
1266
1266
  */
1267
1267
  await gapi.client.compute.instances.deleteAccessConfig({ accessConfig: "accessConfig", instance: "instance", networkInterface: "networkInterface", project: "project", zone: "zone", });
1268
1268
 
1269
+ /*
1270
+ Deletes one network interface from an active instance. InstancesDeleteNetworkInterfaceRequest indicates: - instance from which to delete, using project+zone+resource_id fields; - network interface to be deleted, using network_interface_name field; Only VLAN interface deletion is supported for now.
1271
+ */
1272
+ await gapi.client.compute.instances.deleteNetworkInterface({ instance: "instance", networkInterfaceName: "networkInterfaceName", project: "project", zone: "zone", });
1273
+
1269
1274
  /*
1270
1275
  Detaches a disk from an instance.
1271
1276
  */
package/tests.ts CHANGED
@@ -3,7 +3,7 @@
3
3
  // This file was generated by https://github.com/Maxim-Mazurok/google-api-typings-generator. Please do not edit it manually.
4
4
  // In case of any problems please post issue to https://github.com/Maxim-Mazurok/google-api-typings-generator
5
5
 
6
- // Revision: 20231011
6
+ // Revision: 20231024
7
7
 
8
8
  gapi.load('client', async () => {
9
9
  /** now we can use gapi.client */
@@ -7508,6 +7508,17 @@ gapi.load('client', async () => {
7508
7508
  requestId: "Test string",
7509
7509
  zone: "Test string",
7510
7510
  });
7511
+ /**
7512
+ * Deletes one network interface from an active instance. InstancesDeleteNetworkInterfaceRequest indicates: - instance from which to delete, using project+zone+resource_id fields; -
7513
+ * network interface to be deleted, using network_interface_name field; Only VLAN interface deletion is supported for now.
7514
+ */
7515
+ await gapi.client.compute.instances.deleteNetworkInterface({
7516
+ instance: "Test string",
7517
+ networkInterfaceName: "Test string",
7518
+ project: "Test string",
7519
+ requestId: "Test string",
7520
+ zone: "Test string",
7521
+ });
7511
7522
  /** Detaches a disk from an instance. */
7512
7523
  await gapi.client.compute.instances.detachDisk({
7513
7524
  deviceName: "Test string",
@@ -7854,6 +7865,9 @@ gapi.load('client', async () => {
7854
7865
  "Test string"
7855
7866
  ],
7856
7867
  resourceStatus: {
7868
+ lastInstanceTerminationDetails: {
7869
+ terminationReason: "Test string",
7870
+ },
7857
7871
  physicalHost: "Test string",
7858
7872
  scheduling: {
7859
7873
  availabilityDomain: 42,
@@ -8726,6 +8740,9 @@ gapi.load('client', async () => {
8726
8740
  "Test string"
8727
8741
  ],
8728
8742
  resourceStatus: {
8743
+ lastInstanceTerminationDetails: {
8744
+ terminationReason: "Test string",
8745
+ },
8729
8746
  physicalHost: "Test string",
8730
8747
  scheduling: {
8731
8748
  availabilityDomain: 42,
@@ -16452,6 +16469,9 @@ gapi.load('client', async () => {
16452
16469
  creationTimestamp: "Test string",
16453
16470
  description: "Test string",
16454
16471
  endTimestamp: "Test string",
16472
+ existingReservations: [
16473
+ "Test string"
16474
+ ],
16455
16475
  id: "Test string",
16456
16476
  kind: "Test string",
16457
16477
  licenseResource: {
@@ -16628,6 +16648,9 @@ gapi.load('client', async () => {
16628
16648
  creationTimestamp: "Test string",
16629
16649
  description: "Test string",
16630
16650
  endTimestamp: "Test string",
16651
+ existingReservations: [
16652
+ "Test string"
16653
+ ],
16631
16654
  id: "Test string",
16632
16655
  kind: "Test string",
16633
16656
  licenseResource: {
@@ -26474,8 +26497,11 @@ gapi.load('client', async () => {
26474
26497
  nextHopIlb: "Test string",
26475
26498
  nextHopInstance: "Test string",
26476
26499
  nextHopInterconnectAttachment: "Test string",
26500
+ nextHopInterRegionCost: 42,
26477
26501
  nextHopIp: "Test string",
26502
+ nextHopMed: 42,
26478
26503
  nextHopNetwork: "Test string",
26504
+ nextHopOrigin: "Test string",
26479
26505
  nextHopPeering: "Test string",
26480
26506
  nextHopVpnTunnel: "Test string",
26481
26507
  priority: 42,